#
# spec file for package yast2-firewall (Version 2.13.8)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison blocxx boost bzip2 coreutils cpio cpp cracklib curl cvs cyrus-sasl db dbus-1 dbus-1-glib dbus-1-mono dejagnu desktop-translations diffutils e2fsprogs expat expect file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glib2 glibc glibc-devel glibc-locale gnome-filesystem gpm grep groff gzip hal hwinfo info insserv iproute2 klogd less libacl libattr libcom_err libgcc libicu libidn libnscd libstdc++ libstdc++-devel libtool libusb libxcrypt libxml2 libxml2-devel liby2util liby2util-devel libzio libzypp libzypp-zmd-backend m4 make man mktemp module-init-tools mono-core mono-data mono-web ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules parted patch pcre pcre-devel perl perl-URI perl-XML-Parser perl-XML-Writer perl-gettext permissions pkgconfig popt procinfo procps psmisc pwdutils rcs readline rpm rug sed sqlite strace suseRegister sysconfig sysfsutils sysvinit tar tcl tcpd texinfo timezone unzip update-desktop-files util-linux vim wireless-tools yast2 yast2-core yast2-core-devel yast2-devtools yast2-hardware-detection yast2-installation yast2-perl-bindings yast2-pkg-bindings yast2-storage yast2-storage-lib yast2-testsuite zlib zlib-devel zmd

Name:           yast2-firewall
Version:        2.13.8
Release:        0.3
License:        GPL
Group:          System/YaST
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source0:        yast2-firewall-2.13.8.tar.bz2
prefix:		/usr
BuildRequires:  perl-XML-Writer update-desktop-files yast2 yast2-devtools yast2-installation yast2-testsuite
Requires:       yast2
Provides:       yast2-config-firewall
Obsoletes:      yast2-config-firewall
Provides:       yast2-trans-firewall
Obsoletes:      yast2-trans-firewall
BuildArchitectures:	noarch
Summary:        YaST2 - Firewall Configuration

%description
A YaST2 module to be used for configuring a firewall.



Authors:
--------
    Michael Hager <mike@suse.de>
    Ludwig Nussel <lnussel@suse.de>
    Lukas Ocilka <locilka@suse.de>

%debug_package
%prep
%setup -n yast2-firewall-2.13.8

%build
%{prefix}/bin/y2tool y2autoconf
%{prefix}/bin/y2tool y2automake
autoreconf --force --install
export CFLAGS="$RPM_OPT_FLAGS -DNDEBUG"
export CXXFLAGS="$RPM_OPT_FLAGS -DNDEBUG"
%{?suse_update_config:%{suse_update_config -f}}
./configure --libdir=%{_libdir} --prefix=%{prefix} --mandir=%{_mandir}
make %{?jobs:-j%jobs}

%install
make install DESTDIR="$RPM_BUILD_ROOT"
[ -e "%{prefix}/share/YaST2/data/devtools/NO_MAKE_CHECK" ] || Y2DIR="$RPM_BUILD_ROOT/usr/share/YaST2" make check DESTDIR="$RPM_BUILD_ROOT"
for f in `find $RPM_BUILD_ROOT/%{prefix}/share/applications/YaST2/ -name "*.desktop"` ; do
    d=${f##*/}
    %suse_update_desktop_file -d ycc_${d%.desktop} ${d%.desktop}
done

%clean
rm -rf "$RPM_BUILD_ROOT"

%files
%defattr(-,root,root)
%dir /usr/share/YaST2/include/firewall
/usr/share/YaST2/include/firewall/*
/usr/share/YaST2/clients/firewall*
%{prefix}/share/applications/YaST2/firewall.desktop
%doc %{prefix}/share/doc/packages/yast2-firewall

%changelog -n yast2-firewall
* Mon May 22 2006 - locilka@suse.cz
- Fixing visibility of widgets in Broadcast Configuration (#175920)
- 2.13.8
* Thu Mar 23 2006 - locilka@suse.cz
- Added checking for root permissions into the module startup
  process (#158483)
- 2.13.7
* Mon Mar 06 2006 - locilka@suse.cz
- Adjusted BuildRequires for the package
- 2.13.6
* Mon Feb 13 2006 - locilka@suse.cz
- NetworkManager has changed behavior again. Currently it reports
  its network interfaces so the NetworkManager support from 2.13.3
  is removed (#149075).
- 2.13.5
* Fri Jan 27 2006 - locilka@suse.cz
- merged proofed texts
* Fri Jan 06 2006 - locilka@suse.cz
- Adjusting for SLES10
- 2.13.4
* Wed Jan 04 2006 - locilka@suse.cz
- Adding Network Manager support
- 2.13.3
* Mon Dec 19 2005 - jsuchome@suse.cz
- merged proofed texts
- 2.13.2
* Tue Nov 29 2005 - locilka@suse.cz
- Adding support for handling feature #5998: Port ranges
- 2.13.1
* Fri Sep 23 2005 - locilka@suse.cz
- Adding support for VNC and SSH installations.
  VNC/SSH can be enabled/disabled by a single click
  (enhancement #113211).
- Adding more help for Advanced configuration of Allowed Services.
  Also with examples (enhancement #104635).
- 2.13.0
* Mon Sep 05 2005 - locilka@suse.cz
- Fixing bug #112899
  [Advanced...] button had been truncated in some languages because
  of fixed length of the button. Changing UI to stretch when
  needed.
- 2.12.5
* Tue Aug 16 2005 - locilka@suse.cz
- Fixing bug #104635
  From now, YaST doesn't complain when the additional allowed port
  is a numeric range of ports such as "550:570".
- 2.12.4
* Wed Aug 10 2005 - locilka@suse.cz
- Fixing Progress in MakeProposal function (installation)
  Patch created by mvidner
- Fixing bug #103196,
  Enabling or Disabling [Change] button when needed
  Activating modification popups when double-clicked on any
  firewall network interface
- 2.12.3
* Thu Jul 28 2005 - locilka@suse.cz
- Updated desktop file
- 2.12.2
* Thu Jun 30 2005 - locilka@suse.cz
- Rwalter's Style Guide update (mostly texts)
- 2.12.1
* Thu May 19 2005 - locilka@suse.cz
- Changed texts and labels to be YaST2 Guidelines-Compatible
- Added popup confirmation for deleting forward rule in Masquerade
* Mon May 09 2005 - locilka@suse.cz
- Moving "Requires: SuSEfirewall2" to yast2 package
* Tue Apr 19 2005 - locilka@suse.cz
- Applied new functional interface of ProductFeatures
- 2.12.0
* Fri Mar 04 2005 - locilka@suse.cz
- fixed bug #67335
  Fixed unnecessary warning aborting the unchanged configuration
- 2.11.11
* Wed Mar 02 2005 - locilka@suse.cz
- merged proofed texts
- 2.11.10
* Wed Mar 02 2005 - locilka@suse.cz
- fixed bug #66119
  Profile Exported for AutoYaST had been lowercased.
  Profile Imported from AutoYaST had been uppercased.
* Mon Feb 21 2005 - locilka@suse.cz
- added shortcuts for UI widgets
- 2.11.9
* Fri Feb 04 2005 - locilka@suse.cz
- added missing comments for translators
- fixed bug installation proposal, tuning the configuration started
  the command line interface unstead of UI
- added descriptive label for no-zone-selected instead of blank ""
- removed colorful Glyphs from the summary
- added disabled Back button into the TreeWidget
- added proofed texts
- 2.11.8
* Mon Jan 31 2005 - locilka@suse.cz
- added feature for better checking of the configuration, user is
  informed if any network interface is not assigned to any firewall
  zone and all network traffic would be blocked there
  (bugzilla #50333)
- 2.11.7
* Tue Jan 25 2005 - locilka@suse.cz
- replaced SuSEfirewall2_final with SuSEfirewall2_setup for
  checking whether SuSEfirewall2 is running (bugzilla #50157)
- 2.11.6
* Mon Jan 17 2005 - locilka@suse.cz
- Added comments for translators (CommandLine)
- Added CommandLine and UI handling in RedirectToMasquerade
  functionality to follow iptables/SuSEfirewall2 syntax
- Fixed redrawing of allowed services after AdditionalServices
  added
- Fixed StartNow(), StopNow() and SaveAndRestart() functionality to
  change the final service status after Write() operations
- 2.11.5
* Tue Jan 11 2005 - locilka@suse.cz
- Added CommandLine support
* Mon Jan 03 2005 - locilka@suse.cz
- Adjusted start/stop dialog for new CWM functionality (own
  functions for starting and stopping)
- More informative Summarization
- Support for new SuSEfirewall2's broadcast implementation
- Added help texts
- 2.11.4
* Tue Dec 21 2004 - locilka@suse.cz
- New implementation of yast2-firewall UI (in progress)
- 2.11.3
* Wed Oct 27 2004 - mvidner@suse.cz
- Adjusted for changes in Mode.
- 2.11.2
* Tue Oct 19 2004 - locilka@suse.cz
- Fixed debug and error messages in log
* Sun Oct 03 2004 - nashif@suse.de
- #46262: Firewall is always enabled
- Firewall settings not written during autoinstall
* Fri Sep 24 2004 - locilka@suse.cz
- fixed bug #46043
  firewall enabled in network proposal was not disabled when user
  went back again to the network proposal and disabled it
- 2.10.12
* Mon Sep 20 2004 - locilka@suse.cz
- fixed bug #45440
  although special ipppX ISDN devices were proposed as external
  devices, they weren't offered in combobox in the firewall
  editation as a single item
- 2.10.11
* Tue Sep 14 2004 - locilka@suse.cz
- default values enable_firewall and open_ssh were moved into the
  control file #45240
- fixed texts to be matching the actual state of the naming of
  network interfaces #45209
* Mon Sep 13 2004 - locilka@suse.cz
- fixed SuSEfirewall2 defaults to be the same as in the SFW2
  package (FW_PROTECT_FROM_INTERNAL=no FW_AUTOPROTECT_SERVICES=no).
- added ISDN::NetDeviceList() into the firewall proposal to catch
  just configured devices.
- fixed testsuites
- 2.10.10
* Fri Sep 10 2004 - locilka@suse.cz
- fixed bug #44966, forgot text in CWMFirewall marked for
  translation.
* Tue Sep 07 2004 - locilka@suse.cz
- fixed bug #44759 because of chaned defaults, firewall wasn't
  written in normal mode configuration
- 2.10.9
* Mon Sep 06 2004 - locilka@suse.cz
- added SetModified() function to autoyast
- 2.10.8
* Mon Sep 06 2004 - locilka@suse.cz
- fixed #44650 Function ActivateConfiguration now tests if you
  really want to activate (start) the configuration (not only if
  you call this function).
- 2.10.7
* Fri Sep 03 2004 - locilka@suse.cz
- fixed #44656 Firewall in install proposal is disabled by default
  if there are any dial-up interfaces, they are proposed as
  external interfaces, other interfaces as internal interfaces and
  the firewall is proposed to be enabled.
* Thu Sep 02 2004 - locilka@suse.cz
- fixed #44566 Wrong handling with newly added interfaces into the
  user-changed firewall proposal in the installation
- fixed #44463 Firewall can be disabled in autoyast, added dialog
  taken from the installation proposal
- fixed #44568 Firewall didn't inform about UDP and RPC services
  in the autoyast summary
- fixed #44569 Firewall in autoyast was getting interfaces from
  the running system instead of the autoyast settings
* Mon Aug 30 2004 - locilka@suse.cz
- 2.10.6
* Mon Aug 30 2004 - locilka@suse.cz
- added NFS-Server, NFS-Client, NIS-Server support
- added functions for searching FW_SERVICES_XXX_RPC for serv. supp.
* Mon Aug 30 2004 - jsrain@suse.cz
- added CWMFirewallInterfaces::Modified () function (#44106)
- allowed CWMFirewallInterfaces to be used if Mode::config (#43904)
* Fri Aug 27 2004 - locilka@suse.cz
- added allowing broadcast messages into ipp-client service
- modified testsiutes to support new broadcast option
- merged proofreaded UI messages
- fixed Bugzilla bug #40287, helptext for Traceroute improved
* Fri Aug 27 2004 - visnov@suse.cz
- fix HaveService() for any device (join separated by spaces)
* Thu Aug 26 2004 - locilka@suse.cz
- changed RunServiceSupport() to support all groups of interfaces
- created testsuites for all global functions
* Tue Aug 24 2004 - locilka@suse.cz
- removed "SSH open by default" from the Instalation Proposal
* Mon Aug 23 2004 - locilka@suse.cz
- added functionality for adding/removing devices into/from
  user-changed configuration in network proposal
- 2.10.5
* Fri Aug 20 2004 - locilka@suse.cz
- fixed Bugzilla bug #43975
  FW wasn't started in install proposal when user didn't change it
- 2.10.4
* Mon Aug 16 2004 - locilka@suse.cz
- added functions SetModified() and GetModified()
- added call SetModified() in all Set*() functions
- changed selecting/deselecting additional TCP/UDP services
- 2.10.3
* Tue Aug 10 2004 - locilka@suse.cz
- merged proofread messages
- added support for NTP
* Fri Aug 06 2004 - jsrain@suse.cz
- disable firewall enabling checkbox after all interfaces were
  deselected in interface selection popup
* Thu Aug 05 2004 - locilka@suse.cz
- added support for ipp, LDAP and LDAPS
- 2.10.2
* Wed Aug 04 2004 - locilka@suse.cz
- added new functionality for enabling/disabling services defined
  as list of ports and special functions
- added global handling for other YaST modules
* Fri Jul 30 2004 - jsrain@suse.cz
- added popup (CWM widget) for selecting interfaces to open in
  firewall
- added the CWM widget for openning/closing the firewall
* Wed Jul 21 2004 - locilka@suse.cz
- added firewall proposal (for network proposal)
- 2.10.1
* Tue Jun 15 2004 - msvec@suse.cz
- 2.10.0
* Tue May 04 2004 - mvidner@suse.cz
- merged proofread messages
- 2.9.12
* Fri Apr 02 2004 - msvec@suse.cz
- fixed network configurations listing
- changed license to GPL
- 2.9.11
* Wed Mar 31 2004 - msvec@suse.cz
- fixed [Back] button behavior in step 2 (#37700)
- 2.9.10
* Wed Mar 10 2004 - sh@suse.de
- V 2.9.9
- Migration to new wizard
* Tue Mar 09 2004 - lnussel@suse.de
- cast to string only if it's indeed a string to fix feature dialog
- 2.9.8
* Mon Mar 08 2004 - msvec@suse.cz
- set title icon
- 2.9.7
* Fri Mar 05 2004 - msvec@suse.cz
- more strict type casts
- 2.9.6
* Wed Mar 03 2004 - visnov@suse.cz
- fixed type info
* Tue Mar 02 2004 - lnussel@suse.de
- add option to allow IPsec traffic
- 2.9.5
* Fri Feb 20 2004 - lnussel@suse.de
- fix warnings about useless global
- move masquerading setting to top so users find it easier
- state that the expert service config configures TCP services
- 2.9.4
* Sat Feb 07 2004 - msvec@suse.cz
- fixed testsuite output
- 2.9.3
* Fri Feb 06 2004 - msvec@suse.cz
- drop y2cc config file
- 2.9.2
* Tue Feb 03 2004 - visnov@suse.cz
- use Sequencer module instead of WizardSequencer
* Mon Jan 26 2004 - msvec@suse.cz
- updated for the new interpreter
- 2.9.1
* Tue Dec 02 2003 - msvec@suse.cz
- extended help text (#33394)
- 2.9.0
* Sun Sep 14 2003 - adrian@suse.de
- let it work in kcontrol again
- 2.8.13
* Sat Sep 13 2003 - nashif@suse.de
- #30291: return list of needed packages for autoinstall
* Fri Aug 29 2003 - visnov@suse.de
- fix #29659 (syntax errors)
- 2.8.11
* Mon Aug 25 2003 - visnov@suse.de
- clarify a help text
- 2.8.10
* Wed Aug 20 2003 - jsuchome@suse.de
- removed redundant "initialization dialog" (#28779)
- 2.8.9
* Mon Aug 11 2003 - visnov@suse.de
- merged in proofread texts
- 2.8.8
* Tue Aug 05 2003 - visnov@suse.de
- read and write also DMZ/INT/EXT services and all interfaces
- 2.8.7
* Mon Aug 04 2003 - nashif@suse.de
- Fixed sequence for autoyast
- 2.8.6
* Mon Aug 04 2003 - visnov@suse.de
- added API for enabling and disabling services
- added desktop file
- 2.8.5
* Wed Jul 30 2003 - msvec@suse.cz
- further sources and texts cleanup
- 2.8.4
* Tue Jul 22 2003 - msvec@suse.cz
- sources cleanup and fixes
- 2.8.3
* Tue Jul 15 2003 - msvec@suse.de
- fix the help text (#27857)
- updated testsuite
- 2.8.2
* Fri Jun 27 2003 - msvec@suse.cz
- updated to the current yast2 interface
- added minimal testsuite
- 2.8.1
* Fri Mar 07 2003 - nashif@suse.de
- dont clone unconfigured firewall ( #24792 )
- 2.7.7
* Tue Mar 04 2003 - mvidner@suse.de
- Texts from final proofreading.
- 2.7.6
* Wed Feb 26 2003 - nashif@suse.de
- fixed bug when writing config in autoinst mode (#24221)
- Use Runlevel to set runlevels
- Improved Write function and removed duplicate code
- 2.7.5
* Thu Feb 20 2003 - nashif@suse.de
- bug #23887: Finish installation after configuration is written
- Using common text: Finish instead of Quit.
- 2.7.4
* Mon Feb 17 2003 - nashif@suse.de
- Read configuration if firewall is activated
- 2.7.2
* Wed Feb 05 2003 - lnussel@suse.de
- apply proof read texts
* Mon Feb 03 2003 - nashif@suse.de
- use SuSEFirewall module
- added autoinstallation support
- removed obsolete _write client
* Thu Jan 30 2003 - lnussel@suse.de
- apply proof read texts
- 2.7.0
* Mon Sep 02 2002 - mvidner@suse.cz
- Fixed firewall deactivation (broken by stricter insserv) (#18735).
- 2.6.6
* Tue Aug 27 2002 - jsuchome@suse.cz
- provide/obsolete old translation packages
* Mon Jul 22 2002 - lnussel@suse.de
- more proof read texts
- import Wizard instead of including it
* Fri Jul 12 2002 - arvin@suse.de
- use proper namespace for Args and CallFunction (#16776)
* Thu Jul 11 2002 - lnussel@suse.de
- re-insert proof read texts
* Mon Jul 08 2002 - arvin@suse.de
- moved non binary files to /usr/share/YaST2
* Tue Jul 02 2002 - arvin@suse.de
- removed personal-firewall.scr (use the one from yast2-network)
* Mon Jul 01 2002 - msvec@suse.cz
- renamed to yast2-firewall
- 2.6.0
* Fri Mar 08 2002 - lnussel@suse.de
- fix error dialog to display stdout and stderr, add TERM=raw to the
  environment of the initscript to avoid escape sequences (#14695)
* Thu Feb 28 2002 - mike@suse.de
- undo "insert proofreaded texts" because the translation are
  based on not proofreaded texts
* Thu Feb 21 2002 - lnussel@suse.de
- marked two more strings for translation
* Thu Feb 21 2002 - lnussel@suse.de
- dialogs for stopping the firewall
* Tue Feb 19 2002 - lnussel@suse.de
- use /etc/sysconfig/personal-firewall
- minor fixes
* Mon Feb 18 2002 - mike@suse.de
- first working version
* Tue Feb 12 2002 - tom@suse.de
- Renamed menuentry_firewall.y2cc ---> menuentry_firewall2.y2cc (conflict)
* Fri Feb 08 2002 - tom@suse.de
- Now checked into STABLE
* Fri Feb 08 2002 - mike@suse.de
- initial version
